Name:          cewolf
Version:       1.0
Release:       %mkrel 1
Summary:       Chart Taglib Library
Group:         Development/Java
License:       LGPL
Url:           http://cewolf.sourceforge.net/
Source0:       http://downloads.sourceforge.net/cewolf/cewolf-1.0-bin-src.zip

Patch0:        cewolf-1.0-fix_tld_places.diff
Patch1:        cewolf-1.0-fixbuild.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: apache-commons-logging
BuildRequires: batik
BuildRequires: jcommon
BuildRequires: jfreechart
BuildRequires: liblog4j-java

BuildRequires: maven
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin

BuildRequires: tomcat6
BuildRequires: tomcat6-jsp-2.1-api
BuildRequires: tomcat6-servlet-2.5-api
BuildRequires: xml-commons-apis
BuildRequires: forge-parent

Requires:      apache-commons-logging
Requires:      batik
Requires:      jcommon
Requires:      jfreechart
Requires:      liblog4j-java
Requires:      tomcat6-jsp-2.1-api
Requires:      tomcat6-servlet-2.5-api
Requires:      xml-commons-apis

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Cewolf can be used inside a Servlet/JSP based web application
to embed complex graphical charts of all kinds (e.g. line,
pie, bar chart, plots, etc.) into a web page. Therefore it
provides a full featured tag library to define all properties
of the chart (colors, strokes, legend, etc.). Thus the JSP
which embedds the chart is not polluted with any java code.
Everything is described with XML conform tags.
Cewolf is based on JFreeChart and uses it's rendering engine
to render the final chart image into the clients response
stream. No files are created on server side. Everything is
based on lightweight session objects and dynamic data analysis.
Cewolf consists of one servlet which handles the chart
rendering and a taglibrary which translates the chart
definition included in the JSP into an HTML img tag which
consults the rendering servlet for retrieval of the
appropriate chart.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

find . -iname '*.jar' -delete
find . -iname '*.class' -delete
rm -r target/javadoc

cp src/main/resources/%{name}-1.1.tld src/main/resources/taglib.tld

%build

mvn-rpmbuild install javadoc:javadoc

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE.txt RELEASE.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Tue Jan 17 2012 gil <gil> 1.0-1.mga2
+ Revision: 197560
- imported package cewolf

